libgtop2 (2.41.3-1ubuntu0.25.04.1) plucky; urgency=medium

  [ Andreas Glinserer ]
  * d/p/add-model-name-gathering-from-lscpu.patch
    - Expand fields with data from lscpu (LP: #2116763)

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Thu, 04 Sep 2025 14:52:42 +0200

libgtop2 (2.41.3-1build4) noble; urgency=medium

  * No-change rebuild to restore i386 binaries.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 13:30:12 +0200

libgtop2 (2.41.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:01:26 +0000

libgtop2 (2.41.3-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:02:27 +0000

libgtop2 (2.41.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:23:37 +0000

libgtop2 (2.41.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 13:16:32 -0500

libgtop2 (2.41.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libgtop-2.0-11.symbols: Add new symbols
  * Bump debhelper-compat to 13
  * Remove references to kfreebsd (Closes: #874301)
  * Simplify debian/rules
  * Remove all patches: obsolete or applied in new release
  * Run wrap-and-sort
  * Stop using debian/control.in and dh_gnome_clean

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jan 2024 10:57:46 -0500

libgtop2 (2.40.0-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Sep 2019 20:48:32 -0400

libgtop2 (2.40.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 09:52:26 -0400

libgtop2 (2.39.90-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Feb 2019 10:31:29 -0500

libgtop2 (2.38.0-4) unstable; urgency=medium

  [ Andrea Azzarone ]
  * Add mountlist-ignore-snap-squashfs.patch:
    - Ignore snap mounts to keep them from showing in gnome-system-monitor
      (LP: #1749007)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 22:58:54 -0500

libgtop2 (2.38.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 21:36:28 -0500

libgtop2 (2.38.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 18:42:18 -0500

libgtop2 (2.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 20:20:06 -0400

libgtop2 (2.37.90-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Sep 2017 12:25:17 -0400

libgtop2 (2.37.90-1) experimental; urgency=medium

  * New upstream release.
  * Rename library to libgtop-2.0-11 to match soname
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 08:22:12 -0400

libgtop2 (2.34.2-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 16 Jan 2017 20:09:58 +0100

libgtop2 (2.34.1-2) unstable; urgency=medium

  * Also use dh gir addon to properly generate dependencies.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 31 Aug 2016 13:41:37 +0200

libgtop2 (2.34.1-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool
  * Convert from cdbs to dh
  * Add debian/docs to install AUTHORS NEWS README

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 31 Aug 2016 10:20:31 +0200

libgtop2 (2.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 00:51:56 +0200

libgtop2 (2.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file and bump shlibs version to 2.32.0.
  * Update patches, drop 02_hurd_stub_backend.patch, fixed upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 00:12:49 +0200

libgtop2 (2.30.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jun 2015 00:10:47 +0200

libgtop2 (2.30.0-2) experimental; urgency=medium

  * Fix build failure on kFreeBSD due to undeclared '__FreeBSD_version',
    thanks Steven Chamberlain for the patch. Closes: #788709

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 21:16:09 +0200

libgtop2 (2.30.0-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release.
    - Increases maximum CPU limit, which breaks ABI.
  * Change library name to libgtop2-10 for new SONAME
  * Drop 06_kfreebsd_sys_pipe.patch. Fixed upstream.

  [ Michael Biebl ]
  * Drop obsolete Replaces from pre-wheezy.
  * Convert to multiarch.
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compatibility level to 9.
  * Rename library package to libgtop-2.0-10 to match the SONAME.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 13:04:40 +0200

libgtop2 (2.28.5-2) unstable; urgency=low

  * Add explicit Build-Depends on libbsd-dev for kfreebsd.
  * Add `pkg-config --cflags libbsd-overlay` to CPPFLAGS on kfreebsd. This
    let's code expecting bsd headers on bsd work without patching. Thanks
    Julien Cristau for the suggestion. Closes: #721886

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Sep 2013 14:31:03 +0200

libgtop2 (2.28.5-1) unstable; urgency=low

  * New upstream release.
  * Remove those kfreebsd patches which have been merged upstream.
  * Drop 99_ltmain_as-needed.patch and use dh_autoreconf --as-needed instead.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Sep 2013 02:53:46 +0200

libgtop2 (2.28.4-3) unstable; urgency=low

  * debian/patches/06_kfreebsd_sys_pipe.patch: Don't include sys/pipe.h on
    kFreeBSD. Defining _KERNEL to include sys/pipe.h subsequently breaks
    sys/conf.h; since sys/pipe.h is not meant to be used in userland, and
    libgtop2 builds anyway on kFreeBSD without it, don't include it.
    Thanks to Steven Chamberlain for the patch. Closes: #667984
  * Update Vcs-* URLs.
  * Drop Build-Depends on gir1.2-glib-2.0 and let libgirepository1.0-dev pull
    this dependency.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Apr 2012 20:13:21 +0200

libgtop2 (2.28.4-2) unstable; urgency=low

  * debian/watch: Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * debian/control.in:
    - Drop obsolete versioned Build-Depends on dpkg-dev.
    - Tighten dependency between libgtop2-dev and gir1.2-gtop-2.0.
    - Change section of gir1.2-gtop-2.0 to introspection.
    - Drop obsolete Replaces.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * debian/libgtop2-7.symbols:
    - Add symbols file for improved shlibs dependencies.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Dec 2011 21:20:53 +0100

libgtop2 (2.28.4-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release.
  * 03_kfreebsd_installdirs.patch, 05_kfreebsd_8.0.patch,
    99_ltmain_as-needed.patch: Update for new version.
  * debian/control.in: Fix section of gir1.2-gtop-2.0, should be "libs" (and
    was set like that by ftpmasters).
  * debian/watch: Fix regexp syntax, and watch for *.tar.bz2.
  * debian/source/format, debian/control, debian/rules: Switch to "3.0
    (quilt)" source format to support bzip2 orig tarballs. Drop quilt build
    dependency and usage in debian/rules.

  [ Josselin Mouette ]
  * Use kfreebsd-any wildcard. Closes: #634623.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Sep 2011 14:19:01 +0200

libgtop2 (2.28.3-2) unstable; urgency=low

  * debian/control.in, debian/gir1.2-gtop-2.0.install: Add gir1.2-gtop-2.0
    package to add GI support.
  * debian/libgtop2-dev.install: Install .gir.
  * debian/control.in: Bump Standards-Version to 3.9.2. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 May 2011 09:56:48 +0200

libgtop2 (2.28.3-1) unstable; urgency=low

  * Team upload.

  * New upstream release.
    - Fixes linking with strict linkers (Closes: #555183)
  * Use dh-autoreconf instead of manually updating 90_autotools.patch
  * Add Vcs fields to debian/control*

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 02 May 2011 16:00:40 +0200

libgtop2 (2.28.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_hurd_stub_backend.patch,
    debian/patches/03_kfreebsd_installdirs.patch,
    debian/patches/04_kfreebsd_version_check.patch,
    debian/patches/05_kfreebsd_8.0.patch:
    - Add headers.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/patches/90_autotools.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 10 Apr 2010 06:56:34 +0200

libgtop2 (2.28.0-4) unstable; urgency=low

  [ Josselin Mouette ]
  * 05_kfreebsd_8.0.patch: modified patch from Petr Salinger to make
    libgtop2 work correctly with kFreeBSD 8.0. Closes: #559291.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Dec 2009 12:16:51 +0100

libgtop2 (2.28.0-3) unstable; urgency=low

  * Switch to quilt for patch management.
  * 02_hurd_stub_backend.patch: re-add an implementation of the stub
    backend, for the Hurd. Closes: #557446.
  * 03_kfreebsd_installdirs.patch: patch to install binaries in
    libexecdir so that we can version the installation directory. Also
    use DESTDIR in the installation hooks.
  * 04_kfreebsd_version_check.patch: drop brain-dead runtime version
    check.
  * Rename 90_autoconf.patch to 90_autotools.patch, re-run all the
    autotools on top of that.
  * Pass a versioned libexecdir to the configure arguments.
  * Install the server binary on kfreebsd.
  * Exclude it from dh_fixperms.

 -- Josselin Mouette <joss@debian.org>  Sun, 22 Nov 2009 21:17:18 +0100

libgtop2 (2.28.0-2) unstable; urgency=low

  * debian/patches/01_kfreebsd_kvm_libs.patch:
    - Patch from Petr Salinger to let libgtop2 build on kFreeBSD again.
      Closes: #555316.
  * debian/patches/90_autoconf.patch:
    - Run autoconf on top of the above patch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 09 Nov 2009 23:04:50 +0100

libgtop2 (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * Add a new libgtop2-doc package and ship the html documentation on it.
    Also move the info document from the -dev package to the new -doc one.
  * debian/watch: Don't uupdate.
  * debian/control.in:
    - Standards-Version is 3.8.3, no changes needed.
    - Let libgtop2-7 and libgtop2-common inherit the section from the source
      stanza.
    - Unduplicate some short descriptions.
  * debian/copyright: Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Sep 2009 23:51:39 +0200

libgtop2 (2.26.1-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/copyright:
    - Specify GPL version 2.
    - Don't mention /usr/share/doc/libgtop2*/AUTHORS, all upstream authors
      are already listed here.
  * debian/control.in:
    - Updated Standards-Version to 3.8.1, no additional changes needed.
    - Add ${misc:Depends} to all packages.

  [ Josselin Mouette ]
  * Fix incorrect Replaces:.
  * Remove the FreeBSD-specific libraries from the -dev dependencies,
    they are not needed to build libgtop2-based applications.
  * Add missing build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Thu, 11 Jun 2009 09:15:19 +0200

libgtop2 (2.24.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Mar 2009 17:47:56 +0100

libgtop2 (2.24.0-1) experimental; urgency=low

  * New upstream release.
  * Bump shlibs version to 2.23.2.
  * Bump intltool requirement to 0.35.0.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 19:18:22 +0100

libgtop2 (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Updated Standards-Version to 3.8.0, no additional changes needed.
    + Build depend on intltool as it's now required.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 10:11:55 +0200

libgtop2 (2.22.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes parsing of large /proc/stat on Linux.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 25 May 2008 17:00:32 +0200

libgtop2 (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes build on non-Linux archs (Closes: #473211).
  * debian/rules,
    debian/control.in:
    + Patch by Petr Salinger to let the -dev package depend on all required
      packages on GNU/kFreeBSD.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Apr 2008 21:08:49 +0200

libgtop2 (2.22.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 11:55:57 +0100

libgtop2 (2.20.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes smaps parsing with Linux kernel >= 2.6.24.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 08 Mar 2008 05:02:09 +0100

libgtop2 (2.20.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2008 14:07:50 +0100

libgtop2 (2.20.0-2) unstable; urgency=low

  * debian/patches/01_kfreebsd.patch,
    debian/control.in:
    + Fix FTBFS on GNU/kFreeBSD. Thanks to Petr Salinger for the patch
      (Closes: #456936).
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.
  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Link with --as-needed to remove some unnecessary dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Jan 2008 07:14:55 +0100

libgtop2 (2.20.0-1) unstable; urgency=low

  * New upstream release, with some API additions.
  * debian/control.in:
    + Remove libpopt-dev from build-depends.
  * debian/rules:
    + Bump shlibs to >= 2.20.0.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2007 06:21:20 +0200

libgtop2 (2.14.9-1) unstable; urgency=low

  * New upstream stable release, with some API and ABI removals of
    glibtop_init_*() functions which shouldn't have been public and are not
    known to be used by anything else.

 -- Loic Minier <lool@dooz.org>  Wed, 20 Jun 2007 15:16:55 +0200

libgtop2 (2.14.8-2) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Add CVE id, GNOME bug id, and SVN rev to 2.14.8-1.
  * Bump up Debhelper compatibility level to 5; fix bogus /usr/include/gnome
    in libgtop2-dev.install.
  * Update watch file to track all stable branches and use HTTP.
  * Drop useless debian/libgtop-dev.postinst; cleanups.
  * Wrap build-deps and deps.

 -- Loic Minier <lool@dooz.org>  Wed, 11 Apr 2007 16:13:37 +0200

libgtop2 (2.14.8-1) experimental; urgency=low

  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * New upstream stable releases.
    - 2.14.7 fixed CVE-2007-0235; GNOME #396477; SVN r2546.

 -- Loic Minier <lool@dooz.org>  Sun, 11 Mar 2007 17:05:45 +0100

libgtop2 (2.14.6-1) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream release; no API or ABI change.

 -- Loic Minier <lool@dooz.org>  Sun, 14 Jan 2007 20:56:18 +0100

libgtop2 (2.14.5-1) experimental; urgency=low

  * New upstream release.
    - Target at experimental.
    - Drop patch 10_kfreebsd, merged upstream.

 -- Loic Minier <lool@dooz.org>  Sun,  7 Jan 2007 18:27:40 +0100

libgtop2 (2.14.4-2) unstable; urgency=low

  * New patch, 10_kfreebsd, to build-depend and depend on libkvm-dev on
    kfreebsd, to update the m4 macros to detect __FreeBSD_kernel__, and to
    update configure; thanks Petr Salinger; closes: #399270.

 -- Loic Minier <lool@dooz.org>  Sun, 19 Nov 2006 10:59:47 +0100

libgtop2 (2.14.4-1) unstable; urgency=low

  * New upstream release; no API change.

 -- Loic Minier <lool@dooz.org>  Sun, 17 Sep 2006 11:23:28 +0200

libgtop2 (2.14.3-1) unstable; urgency=low

  * New upstream release; no API changes.

 -- Loic Minier <lool@dooz.org>  Wed,  6 Sep 2006 15:55:02 +0200

libgtop2 (2.14.2-2) unstable; urgency=low

  * Build-depend on libxml-parser-perl.

 -- Loic Minier <lool@dooz.org>  Wed,  9 Aug 2006 11:30:23 +0200

libgtop2 (2.14.2-1) unstable; urgency=low

  * New upstream release, with API additions.
    - Bump shlibs to >= 2.14.2.

 -- Loic Minier <lool@dooz.org>  Sat, 29 Jul 2006 22:16:12 +0200

libgtop2 (2.14.1-3) unstable; urgency=low

  * Let libgtop2-common also replace the venerable libgtop2. (Closes: #380350)

 -- Loic Minier <lool@dooz.org>  Sat, 29 Jul 2006 18:57:02 +0200

libgtop2 (2.14.1-2) unstable; urgency=low

  * Make libgtop2-common arch: all instead of arch: any.

 -- Dafydd Harries <daf@debian.org>  Tue,  4 Jul 2006 18:04:14 +0100

libgtop2 (2.14.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Stop shipping *.la files in libgtop2-dev.
    [debian/libgtop2-dev.install]

  [ Josselin Mouette ]
  * New upstream release.
    + Fix for proc_state.h reference in documentation (closes: #353596).
  * Bump glib build-dependency.
  * Standards version is 3.7.2.
  * New library package name.
  * Split the translations in a separate package.
  * Use dpkg-dev 1.13.19 for NMU-safety.
  * Rework package descriptions.
  * libgtop2-5.docs: removed, added automatically by cdbs.
  * libgtop2-5.post*: removed, duplicates dh_makeshlibs.
  * rules: enable xauth.
  * libgtop-config.1: removed, unused.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Jun 2006 22:38:06 +0200

libgtop2 (2.12.2-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * debian/copyright:
  - change 'downloaded from' address to the correct location
  * debian/control.in:
  - build-depends updated to not b-d on xlibs-dev, libxau-dev added

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  7 Jan 2006 20:31:56 -0200

libgtop2 (2.12.0-2) experimental; urgency=high

  * Bump shlibs to >= 2.12.0 since the #define'd functions of the API are now
    real symbols. (Closes: #336736) [debian/rules]
  * Add CDBS' utils. [debian/rules]
  * Fix license. [debian/copyright]
  * Bump up Standards-Version to 3.6.2. [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Tue,  1 Nov 2005 12:44:28 +0100

libgtop2 (2.12.0-1) experimental; urgency=low

  * New upstream version.
  * debian/patches/02_fix_link.patch:
    - fixed with the new version.
  * debian/watch:
    - updated

 -- Sebastien Bacher <seb128@debian.org>  Tue, 18 Oct 2005 12:08:17 +0200

libgtop2 (2.10.2-1) unstable; urgency=low

  * New upstream version:
    - fix the build on sparc (Closes: #313477).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 14 Jun 2005 00:43:16 +0200

libgtop2 (2.10.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastien Bacher <seb128@debian.org>  Thu,  9 Jun 2005 23:16:51 +0200

libgtop2 (2.10.1-1) experimental; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 14 Apr 2005 12:35:26 +0200

libgtop2 (2.10.0-1) experimental; urgency=low

  * New upstream version.
  * Update for the soname changes.
  * debian/control.in:
    - dropped libgtop2-daemon to follow upstream changes.
    - updated for the soname change.
  * debian/patches/10_relibtoolize.patch:
    - dropped, the new version is fine.
  * debian/rules:
    - updated the shlibs.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  9 Apr 2005 15:31:19 +0200

libgtop2 (2.6.0-4) unstable; urgency=low

  * debian/patches/10_relibtoolize.patch:
  - remade patch to help fix dpkg-shlibdeps problem
  * debian/libgtop2-2.shlibs:
  - removed, should be auto-generated, which definately
    fixes the problem of dpkg-shlibdeps not being able
    to find information about this library

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 29 May 2004 01:46:40 -0300

libgtop2 (2.6.0-3) unstable; urgency=low

  * GNOME Team upload.
  * Uploaded to Sid.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 25 May 2004 20:52:38 +0200

libgtop2 (2.6.0-2) experimental; urgency=low

  * GNOME Team upload.
  * Added texinfo to Build-Depends, as this fixes a problem with pregenerated
    .info file having the same timestamp than macros. (Closes: #244010)
  * debian/control: Conflicts && Replaces libgtop2 package. (Closes: #241471)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  1 May 2004 14:51:13 +0200

libgtop2 (2.6.0-1) experimental; urgency=low

  * Upgraded to new upstream version.
  * debian/watch: added
  * debian/patches:
       - Removed unneeded patches.
       - CDBS don't use dpatch, so remove the part before @DPATCH@ in .dpatches
       - 10_relibtoolize.patch: new
  * Fixed installation of info file. (Closes: #244010)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 18 Apr 2004 16:42:13 +0200

libgtop2 (2.5.2-4) experimental; urgency=low

  * GNOME Team upload. The "Oskuro's bitching" release.
  * libgtop2-2 package conflicts with old libgtop2 package. (Closes: #243400)
  * moved info file from library package to -dev package.
  * cleaned Build-Depends field.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 13 Apr 2004 23:53:06 +0200

libgtop2 (2.5.2-3) experimental; urgency=low

  * GNOME Team upload.
  * Added shlibs information to proper .shlibs file.
  * Removed dpatch from Build-Depends as it's no longer needed.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue,  6 Apr 2004 18:26:56 +0200

libgtop2 (2.5.2-2) experimental; urgency=low

  * Changed package name to reflect new soname (Closes: #240578)
  * debian/control.in:
    + Changed to reflect new package name.
    + Changed ligtop2-dev dependencies to be in sync with changes.
  * Moved debian/libgtop2.* files to debian/libgtop2-2.* to reflect package
    name change.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Mar 2004 17:23:33 +0200

libgtop2 (2.5.2-1) experimental; urgency=low

  * Marc Dequènes (Duck):
      - New upstream release
      - Corrected patch 'fix_link' to apply on new sources, as it is still
      needed.
      - Deactivated all other patches, they *should* not be useful anymore.

  * Jose Carlos:
      - Converted to cdbs.
      - debian/:
        + Moved .files to .install
      - debian/control.in:
        + Removed automake and autoconf Build-Dependencies.
        + libgtop2-dev package should depend only on libglib2.0-dev instead
          of libgtk+2.0-dev

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 27 Mar 2004 16:03:56 +0100

libgtop2 (2.0.8-7) unstable; urgency=low

  * debian/patches/05_cpu_values.dpatch:
    + new version of the patch.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 13 Feb 2004 19:59:16 +0100

libgtop2 (2.0.8-6) unstable; urgency=low

  * debian/patches/05_cpu_values.dpatch:
    + new patch to CPU usage with 2.6 kernels (Closes: #231079)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 12 Feb 2004 23:00:09 +0100

libgtop2 (2.0.8-5) unstable; urgency=low

  * debian/patches/04_mem_values2.dpatch:
    + should really fix memory values (Closes: #224371).

 -- Sebastien Bacher <seb128@debian.org>  Wed, 28 Jan 2004 00:39:38 +0100

libgtop2 (2.0.8-4) unstable; urgency=low

  * debian/patches/03_mem_values.dpatch:
    + patch to fix wrong memory values (Closes: #224371).
  * debian/libgtop2.info:
    + include libgtop2.info file (Closes: #225546).

 -- Sebastien Bacher <seb128@debian.org>  Thu,  1 Jan 2004 13:31:21 +0100

libgtop2 (2.0.8-3) unstable; urgency=low

  * debian/patches/02_fix_link.dpatch, debian/rules:
    + patch from Christian Marillat to fix the link problem (Closes: #194108).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 30 Dec 2003 21:45:51 +0100

libgtop2 (2.0.8-2) unstable; urgency=low

  * Added missing Build-Depends on libpopt-dev and texinfo (Closes: #224928).
  * Changed libgtop2-daemon section to utils.
  * Updated for the Gnome Team.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 25 Dec 2003 18:28:31 +0100

libgtop2 (2.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #224613).
  * debian/patches/01_kernel26-headers.dpatch:
    + removed since changes are included in the new version.
  * debian/patches/01_libgtop2-kernel2.6.dpatch:
    + new patch to build with 2.6 headers (Closes: #223027).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 20 Dec 2003 18:28:19 +0100

libgtop2 (2.0.5-4) unstable; urgency=low

  * Added patch from Steve Fosdick <dbugs@pelvoux.nildram.co.uk> to fix
    memory stats on 2.6 kernels (Closes: #137603, #201876, #216385).
  * Removed empty libgtop2.info.gz (Closes: #213720).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 20 Oct 2003 02:11:48 +0200

libgtop2 (2.0.5-3) unstable; urgency=low

  * Updated libtool (Closes: #212506).

 -- Sebastien Bacher <seb128@debian.org>  Wed, 24 Sep 2003 12:22:29 +0200

libgtop2 (2.0.5-2) unstable; urgency=low

  * Upload in unstable (Closes: #211969).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 22 Sep 2003 15:19:57 +0200

libgtop2 (2.0.5-1) experimental; urgency=low

  * New maintainer.
  * New upstream version
    + GNOME 2.4 upload in experimental.
  * NMU acknowledge
    (Closes: #195454, #195623, #195625, #195665, #195819, #195867, #196044).
  * debian/control
    + Changed sections.
    + Updated Standards-Version to 3.6.1.0.
  * debian/rules
    + Updated to debhelper 4.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 13 Sep 2003 16:18:25 +0200

libgtop2 (2.0.2.is.2.0.1-1) unstable; urgency=low

  * NMU with maintainer's knowledge, altough Noel will assuredly not like the
    way i did the upload, experimenting and Christian Marillat's and Coling
    Walters's advice showed me there is no other elegant solution. So i
    reverted the package to 2.0.1-4, applied the src/daemon/gnuserv.c buffer
    overflow fix from 2.0.2, and made a fake 2.0.2 package. Other alternative
    would have been using an epoch, which i consider ugly. The problem with
    2.0.2 is that buggy (even if Christian thinks it is a feature) libtool
    apparently did increase the soname, which is not needed here. Also
    the libgtop2 build system is broken, probably due to libtool too, because
    it will link libraries with already installed libraries and not with the
    ones currently building. This is mostly ok, but breaks when the soname
    changes.
    (Closes: #195454, #195623, #195625, #195665, #195819, #195867, #196044)

 -- Sven Luther <luther@debian.org>  Sun,  8 Jun 2003 21:21:07 +0200

libgtop2 (2.0.2-1) unstable; urgency=low

  * new upstream from 2003-05-15

 -- Noel Koethe <noel@debian.org>  Thu, 29 May 2003 23:03:00 +0100

libgtop2 (2.0.1-4) unstable; urgency=low

  * updated config.guess and config.sub for mips
    (closes: Bug#180126)

 -- Noel Koethe <noel@debian.org>  Sat,  8 Feb 2003 12:20:00 +0100

libgtop2 (2.0.1-3) unstable; urgency=low

  * updated libtool files for mips/mipsel
    (closes: Bug#179112)

 -- Noel Koethe <noel@debian.org>  Fri, 07 Feb 2003 00:59:00 +0100

libgtop2 (2.0.1-2) unstable; urgency=low

  * added missing lib in last upload
    (closes: Bug#178989)

 -- Noel Koethe <noel@debian.org>  Thu, 30 Jan 2003 10:09:00 +0100

libgtop2 (2.0.1-1) unstable; urgency=low

  * new upstream version from 2003-01-13
    (closes: Bug#178932)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Wed, 29 Jan 2003 18:16:00 +0100

libgtop2 (2.0.0-0) unstable; urgency=low

  * new upstream version from 2002-06-10
    (closes: Bug#150134)

 -- Noel Koethe <noel@debian.org>  Sun, 16 Jun 2002 16:20:00 +0200

libgtop2 (1.90.2-5) unstable; urgency=low

  * added missing usr/lib/pkgconfig/libgtop-2.0.pc to -dev
    package
    (closes: Bug#146737)

 -- Noel Koethe <noel@debian.org>  Thu, 16 May 2002 20:17:00 +0200

libgtop2 (1.90.2-4) unstable; urgency=low

  * corrected libgtop2-dev Depends line to libgtk2.0-dev
    (closes: Bug#140589)

 -- Noel Koethe <noel@debian.org>  Thu, 11 Apr 2002 17:40:00 +0200

libgtop2 (1.90.2-3) unstable; urgency=low

  * recompiled against libgtk2.0
    (closes: Bug#140589)

 -- Noel Koethe <noel@debian.org>  Sat,  6 Apr 2002 15:38:00 +0200

libgtop2 (1.90.2-2) unstable; urgency=low

  * recompiled against glib/gtk 1.3.15
    (closes: Bug#137074)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 15:42:00 +0100

libgtop2 (1.90.2-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#133219)

 -- Noel Koethe <noel@debian.org>  Sat, 16 Feb 2002 13:16:00 +0100
